release:
  extends:
    - .tags-dev
    - .rules-only-master-manual
  image: registry.gitlab.com/leofy.de/docker/gitlab-builder
  stage: deploy
  cache: {}
  variables:
    GSG_PATCH_COMMIT_TYPES: fix,refactor,perf,docs,style,test,chore
  script:
    - export VERSION=$(release next-version)
    - release changelog || error=true
    - release-cli create --name ${VERSION} --tag-name ${VERSION} --ref ${CI_COMMIT_SHA} --description CHANGELOG.md
